%define name smc
%define version 1.9
%define release %mkrel 2

Summary:	Secret Maryo Chronicles - a 2D platform game in classic style
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/smclone/%{name}-%{version}.tar.xz
Source1:	http://prdownloads.sourceforge.net/smclone/SMC_Music_4.1_high.zip
Patch0:		http://repo.calcforge.org/temp/smc-1.9-fix-implicit-linking.patch
Patch1:		smc-fixes-for-cegui-v0-7.diff
Patch2:		smc-1.9-boostmt.patch
Patch3:		boost_filesystem3.diff
License:	GPLv3+
Group:		Games/Arcade
URL:		http://www.secretmaryo.org/
BuildRequires:	%{_lib}cegui-devel
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	%{_lib}x11-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	boost-devel
BuildRequires:	libpng-devel
BuildRequires:	gettext-devel
BuildRequires:	imagemagick

%description
Secret Maryo Chronicles is an open source two-dimensional platform
game with a style designed similar to classic sidescroller games. It 
utilizes the platform independent library SDL and an OpenGL 
accelerated graphics renderer developed in C++.

%prep
%setup -q
# The same file is provided twice
unzip -qo %{SOURCE1}
%patch0 -p1 -b .patch0
%patch1 -p1 -b .cegui07
%patch2 -p0 -b .boost
%patch3 -p1 -b .boost

%build
autoreconf -fi
export CXXFLAGS="%optflags -fpermissive"
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -scale 48 data/pixmaps/maryo/small/fall_right.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 data/pixmaps/maryo/small/fall_right.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 data/pixmaps/maryo/small/fall_right.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Secret Maryo Chronicles
Comment=A 2D platform game in the classic style
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Tue Feb 18 2014 bb <bb> 1.9-2pclos2014
- rebuild for new boost

* Sun Oct 30 2011 Texstar <texstar at gmail.com> 1.9-1pclos2011
- 1.9
